Skip to main content
POST
/
v4
/
bulk
/
tags
/
subscribers
Bulk tag subscribers
curl --request POST \
  --url https://api.kit.com/v4/bulk/tags/subscribers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taggings": [
    {
      "tag_id": 0,
      "subscriber_id": 0
    },
    {
      "tag_id": 1,
      "subscriber_id": 1
    },
    {
      "tag_id": 2,
      "subscriber_id": 2
    },
    {
      "tag_id": 3,
      "subscriber_id": 3
    }
  ],
  "callback_url": null
}
'
require 'uri'
require 'net/http'

url = URI("https://api.kit.com/v4/bulk/tags/subscribers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"taggings\": [\n {\n \"tag_id\": 0,\n \"subscriber_id\": 0\n },\n {\n \"tag_id\": 1,\n \"subscriber_id\": 1\n },\n {\n \"tag_id\": 2,\n \"subscriber_id\": 2\n },\n {\n \"tag_id\": 3,\n \"subscriber_id\": 3\n }\n ],\n \"callback_url\": null\n}"

response = http.request(request)
puts response.read_body
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taggings: [
{tag_id: 0, subscriber_id: 0},
{tag_id: 1, subscriber_id: 1},
{tag_id: 2, subscriber_id: 2},
{tag_id: 3, subscriber_id: 3}
],
callback_url: null
})
};

fetch('https://api.kit.com/v4/bulk/tags/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.kit.com/v4/bulk/tags/subscribers"

payload := strings.NewReader("{\n \"taggings\": [\n {\n \"tag_id\": 0,\n \"subscriber_id\": 0\n },\n {\n \"tag_id\": 1,\n \"subscriber_id\": 1\n },\n {\n \"tag_id\": 2,\n \"subscriber_id\": 2\n },\n {\n \"tag_id\": 3,\n \"subscriber_id\": 3\n }\n ],\n \"callback_url\": null\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/bulk/tags/subscribers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'taggings' => [
[
'tag_id' => 0,
'subscriber_id' => 0
],
[
'tag_id' => 1,
'subscriber_id' => 1
],
[
'tag_id' => 2,
'subscriber_id' => 2
],
[
'tag_id' => 3,
'subscriber_id' => 3
]
],
'callback_url' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.kit.com/v4/bulk/tags/subscribers"

payload = {
"taggings": [
{
"tag_id": 0,
"subscriber_id": 0
},
{
"tag_id": 1,
"subscriber_id": 1
},
{
"tag_id": 2,
"subscriber_id": 2
},
{
"tag_id": 3,
"subscriber_id": 3
}
],
"callback_url": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "subscribers": [
    {
      "id": 649,
      "first_name": "Sub",
      "email_address": "sub@example.com",
      "created_at": "2023-02-17T11:43:55Z",
      "tagged_at": "2023-02-17T11:43:55Z"
    },
    {
      "id": 649,
      "first_name": "Sub",
      "email_address": "sub@example.com",
      "created_at": "2023-02-17T11:43:55Z",
      "tagged_at": "2023-02-17T11:43:55Z"
    }
  ],
  "failures": [
    {
      "errors": [
        "Subscriber does not exist"
      ],
      "tagging": {
        "tag_id": 83,
        "subscriber_id": null
      }
    },
    {
      "errors": [
        "Tag does not exist"
      ],
      "tagging": {
        "tag_id": null,
        "subscriber_id": 649
      }
    }
  ]
}
{}
{
"errors": [
"The access token is invalid"
]
}
{
"errors": [
"This request exceeds your queued bulk requests limit. Please wait while we process your existing requests and try again later."
]
}
{
"errors": [
"No taggings included for processing"
]
}

Authorizations

Authorization
string
header
required

Authenticate API requests via an OAuth token

Body

application/json
taggings
object[]
required
callback_url
string | null

Response

Creates the taggings synchronously when 100 or less tags/subscribers are requested

subscribers
object[]
required
failures
object[]
required